=== debian/changelog ===
davegnukem (1.0.3-4) unstable; urgency=medium

  * debian/appstream/com.djoffe.davegnukem.metainfo.xml:
    - Change AppStream metadata license.
  * debian/patches/01_big-endian.patch:
    - Add commit to Forwarded header.
  * debian/patches/03_reproducibility.patch:
    - Add patch to build reproducibly.
  * debian/rules:
    - Replace `$(MAKE) *` with `dh_auto_* --` to fix parallel build. Thanks to
      Plasma for the patch (Closes: #1031113).
 -- Matteo Bini <matteobin@tiepi.it>  Wed, 22 Feb 2023 19:45:48 +0100

davegnukem (1.0.3-3) unstable; urgency=medium

  * debian/appstream/com.djoffe.davegnukem.metainfo.xml:
    - Add AppStream upstream metadata.
  * debian/icons/hicolor/128x128/apps/davegnukem.png:
    - Add bigger icon for AppStream.
  * debian/patches/02_appstream.patch:
    - Add patch to install and uninstall AppStream metadata and bigger icon
      too.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 02 Feb 2023 23:01:07 +0100

davegnukem (1.0.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.2.
  * debian/patches/01_big-endian.patch:
    - Add patch to build on big-endian systems, disabling retro settings
      (Closes: #1029224). Retro settings for big-endian will be added later.

 -- Matteo Bini <matteobin@tiepi.it>  Fri, 20 Jan 2023 19:20:06 +0100

davegnukem (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #1009780)

 -- Matteo Bini <matteobin@tiepi.it>  Tue, 29 Nov 2022 11:01:36 +0100
