=== debian/control ===
Source: davegnukem
Section: games
Priority: optional
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13),
               libsdl2-dev,
               libsdl2-mixer-dev
Standards-Version: 4.6.2
Homepage: https://djoffe.com/gnukem/
Rules-Requires-Root: no

Package: davegnukem
Architecture: any
Depends: davegnukem-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Retro-style 2D scrolling platform shooter
 Dave Gnukem is an open source retro-style 2D scrolling platform shooter,
 inspired by and similar to Duke Nukem 1. It currently runs on Windows, macOS,
 Linux and various other platforms. It is written in C++ using SDL library and
 it features an integrated level editor as well. This game is not really a
 clone or remake, it is probably most akin to a parody.

Package: davegnukem-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Suggests: davegnukem
Description: Data files for davegnukem
 This package contains the data files required by the davegnukem package.

Package: davegnukem-datasrc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Suggests: davegnukem-data
Description: Data source files for davegnukem
 This package contains the data source files used to create the graphics for
 the Dave Gnukem video game.
 .
 You don't need this package to play nor to build the game: it contains the
 original Photoshop files that are exported to TGA in the game's data folder.
 This package would only be necessary if you intend to edit the game's sprites.
