=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHELL := sh -e

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/davegnukem PREFIX=/usr

	mkdir -p debian/davegnukem-data/usr/share/games
	mv debian/davegnukem/usr/share/games/davegnukem debian/davegnukem-data/usr/share/games
	mkdir -p debian/davegnukem-data/usr/share/doc
	mv debian/davegnukem/usr/share/doc/davegnukem-data debian/davegnukem-data/usr/share/doc
	
	mkdir -p debian/davegnukem-datasrc/usr/share/games/davegnukem
	cp -R datasrc debian/davegnukem-datasrc/usr/share/games/davegnukem/src
	rm debian/davegnukem-datasrc/usr/share/games/davegnukem/src/README.md
	mkdir -p debian/davegnukem-datasrc/usr/share/doc/davegnukem-datasrc
	cp datasrc/README.md debian/davegnukem-datasrc/usr/share/doc/davegnukem-datasrc
